Package org.springframework.security.web.server.header

# Class PermissionsPolicyServerHttpHeadersWriter

java.lang.Object
org.springframework.security.web.server.header.PermissionsPolicyServerHttpHeadersWriter

All Implemented Interfaces:
  `ServerHttpHeadersWriter`

public final class PermissionsPolicyServerHttpHeadersWriter extends Object implements ServerHttpHeadersWriter
Writes the `Permissions-Policy` response header with configured policy directives.

Since:
  5.5

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PERMISSIONS_POLICY`

## Constructor Summary

Constructors
Constructor
Description
`PermissionsPolicyServerHttpHeadersWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setPolicy(String policy)`
Set the policy to be used in the response header.
`reactor.core.publisher.Mono<Void>`
`writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)`
Write the headers to the response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PERMISSIONS_POLICY

public static final String PERMISSIONS_POLICY

See Also:
  - Constant Field Values

## Constructor Details

### PermissionsPolicyServerHttpHeadersWriter

public PermissionsPolicyServerHttpHeadersWriter()

## Method Details

### writeHttpHeaders

public reactor.core.publisher.Mono<Void> writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerHttpHeadersWriter`
Write the headers to the response.

Specified by:
  `writeHttpHeaders` in interface `ServerHttpHeadersWriter`
Returns:
  A Mono which is returned to the `Supplier` of the `ReactiveHttpOutputMessage.beforeCommit(Supplier)`.

### setPolicy

public void setPolicy(String policy)
Set the policy to be used in the response header.

Parameters:
  `policy` - the policy
Throws:
  `IllegalArgumentException` - if policy is `null`